Subject: bug#33848: Store references in SBCL-compiled code are "invisible"

From: Ludovic Courtès <[email-masked]>
Date: Mon, 05 Apr 2021 21:45:43 +0200

Hi Mark,

Mark H Weaver <[email-masked]> skribis:

> Pierre Neidhardt <[email-masked]> writes:
>
>> Wow, that was fast, thank you Mark!

Yup, thumbs up!

>> Any idea how I can test this, i.e. how I can force a graft?
>
> Just apply the patch to a git checkout of Guix, build it, and then use
> it to build anything you like, e.g. "./pre-inst-env guix build nyxt".
>
> With this patch applied, all graft derivations will be rebuilt, but
> *only* grafts.  When it's ready (i.e. when it has better comments,
> docstrings, etc), this change is perfectly appropriate for 'master'.

The GC’s scanner still gets it wrong though.  I wonder whether having
the grafting code more capable than the scanner could lead to bad
surprises.  WDYT?

Thank you for looking into this!

Ludo’.